package ch.zhaw.gartenverwaltung.types;

import java.time.MonthDay;

public enum Seasons {
    AllSEASONS("--01-01", "--12-31"),
    SPRING("--03-01", "--05-30"),
    SOMMER("--06-01", "--08-30"),
    AUTUM("--09-01", "--11-30"),
    WINTER("--12-01", "--02-28");

    public final String startDate;
    public final String endDate;

    Seasons(String startDate, String endDate) {
        this.startDate = startDate;
        this.endDate = endDate;
    }

    public MonthDay getStartDate() {
        return MonthDay.parse(this.startDate);
    }
    public MonthDay getEndDate() {
        return MonthDay.parse(this.endDate);
    }
}
